#' Bombay population totals in 1941 and 1951 by age
#'
#' Population data for Bombay by age in 1941 and 1951 
#'
#' @format Data frame with 13 rows and 5 columns:
#' \describe{
#'   \item{age_1941}{Age group in 1941}
#'   \item{age_1951}{Age group in 1951}
#'   \item{pop_1941}{Enumerated population in 1941}
#'   \item{pop_1951}{Enumerated population in 1951}
#'   \item{sr}{Census survival ratio derived from the United Nations model life table corresponding to a life expectancy at birth of45 years for males. See Manual III: Methods for Population Projections by Sex and Age (United Nations publication, Sales No.: 56.XIII.3).}
#' }
#' @source Indian Population Census. Published in United Nations Department of Economic and Social Affairs Population Division. (1970). Methods of measuring internal migration. United Nations Department of Economic and Social Affairs Population Division - 1970 - Methods of measuring internal migration \url{https://www.un.org/development/desa/pd/sites/www.un.org.development.desa.pd/files/files/documents/2020/Jan/manual_vi_methods_of_measuring_internal_migration.pdf}
"bombay_1951"
